Robotics Service Bus - Enhancement #1221
Document timestamp ecoding more precisely
10/29/2012 07:14 PM - J. Moringen
Description

The comments in the Notification protocol buffer file do not explain:

- Are all timestamps in mircoseconds? (yes)

Why are some timestamps signed and some unsigned? (seems to be accidental, should all be unsigned)

- Which reference point in time does the timestamp encoding use? (UNIX epoch)

What about the timezone? (should be UTC)

The "Specification » Events" section in the manual should be improved as well (does not mention UNIX epoch).

Associated revisions

Revision f32adb1a - 11/01/2012 02:34 AM - J. Moringen

Added details regarding timestamps in specification-event.rst

refs #1221

- specification-event.rst: reorganized sections slightly; extended

description of timestamps; added figure explaining

framework-maintained timestamps

Revision a561fd67 - 11/13/2012 05:26 PM - J. Moringen

Improved descriptions of timestamps in rsb/protocol/{Notification,EventMetaData}.proto

fixes #1221
- rsb/protocol/Notification.proto: extended documentation strings;

added link to manual
- rsb/protocol/EventMetaData.proto: likewise

History

#1 - 10/29/2012 09:49 PM - J. Moringen
- Description updated

#2 - 10/30/2012 08:10 AM - J. Wienke

no idea how we got signed types, too. +1 for utc. we also need to check the client apis for the way they assign the default value.
#3 - 10/30/2012 08:32 AM - I. Liitkebohle

Note that Java doesn't have unsigned types, and no type larger than 64bit. Hence, the usual type for storing time values has been a signed 64bit
integer containing milliseconds. This might explain why the original usage has been a signed 64bit long.

#4 - 11/01/2012 02:33 AM - J. Moringen
- Status changed from New to In Progress
- Assignee set to J. Moringen

- % Done changed from 0 to 50

#5 - 11/13/2012 09:41 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 50 to 100

Applied in changeset rsb-protocol|commit:a561fd673ed0ac765449adeb4553d634652cbce5.

05/13/2024 22



